Koozali.org formerly Contribs.org

[Announce] Horde 3.1.x RPM's

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« on: October 14, 2006, 02:19:51 AM »
To all:
DISCLAIMER - For testing purposes only!!!
I am pleased to inform everyone that I have completed the RPM's for the most current stable versions of the horde components.  Those being:
Horde - 3.1.3
Imp - 4.1.3
Turba - 2.1.2
Ingo - 1.1.1
Kronolith - 2.1.2
Nag - 2.1.1
Mnemo - 2.1
Mimp - 1.0
Gollem - 1.0.2
Trean - 0.1 cvs (It still works just fine)
Here is the link - http://mirror.contribs.org/smeserver/contribs//jbennett/sme7/horde3.1.x/

For those of you using the horde 3.0.x RPM's, you should have no troubles upgrading to these.  Yeah, famous last words!  I have been using/testing for quite a while.  All of the additions that I wanted to add to the horde 3.0.x components have been included in this set of RPM's.  Read the changelogs for the details.

Some things that I have noticed while using them.  You will see a lot more queries to the ldap database.  The reason is, from Jan Schneider, horde developer, "This is because you can now create cross-source distribution list, thus we need to search for potential target lists in all sources on every request to build the html widgets.

Jan."

Changing settings don't seem to take effect until you logout, then back in.  I think some changes would take effect right away with the 3.0.x versions.  This may just be inherent to me, it seems I am caching a lot more info than usual, if I ctrl-refresh, I am able to see the effect of some of the changes.

Sometimes, when changing some settings via the options screen, if the screen refreshes you have to go back and choose options and your component again.

If you are using mimp, you will see a lot of fgets, fwrite, and fclose errors in the logs.  From what I can find out, this happens with php 4.3.9, which is what SME 7 uses.  Mimp still functions fine from the webmail screen.  There has been a positive report that mimp does work with the 3.0.x versions.

I have left the task of working on the sync4j stuff to someone else.  The horde wiki has info that talks about being able to sync with horde 3.1, but then states you need to be using a CVS version.  So, I'm not 100% sure that any type of syncing will work.

Don't know at this point how to track bugs.  There is a bug opened to update to horde 3.1, and I have created contribs bugs for the other horde components not included in the base.  If you use those, please make sure to include what version you are having issues with.

I will try and help as much as I can, but some questions may have to be asked on the various horde lists.

Enjoy,

John Bennett
......

[Announce] Horde 3.1.x RPM's
« Reply #1 on: October 15, 2006, 05:39:37 PM »
Thanks John.  I will try them soon.  Maybe put a link to the bug reports here.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #2 on: October 15, 2006, 08:02:38 PM »
Quote from: "gregswallow"
... Maybe put a link to the bug reports here.


I already did that as well.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #3 on: October 15, 2006, 11:06:38 PM »
Bug report for comments on horde/imp/turba/ingo: http://bugs.contribs.org/show_bug.cgi?id=1065

Did you open one for the other rpms? I can't find it..

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #4 on: October 16, 2006, 12:19:35 AM »
Quote from: "gregswallow"
Bug report for comments on horde/imp/turba/ingo: http://bugs.contribs.org/show_bug.cgi?id=1065

Did you open one for the other rpms? I can't find it..


Since only horde, imp, turba, and ingo ship with SME 7, people could use the horde 3.1 bug for those.  The others are listed under the contribs section.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #5 on: November 14, 2006, 05:29:49 PM »
After installing last sme updates with yum update in webmail there isn't the bookmarks.
Any idea?

[Announce] Horde 3.1.x RPM's
« Reply #6 on: November 14, 2006, 06:31:03 PM »
From my message log file if I try to access http://localhost/horde/trean
Code: [Select]
Nov 14 17:54:07 mydomain HORDE[5696]: [] trean is not activated [on line 759 of "/home/httpd/html/horde/lib/Horde/Registry.php"]

and in my Registry.php

Code: [Select]
// 260AppRegistryTrean
$this->applications['trean'] = array(
    'fileroot' => dirname(__FILE__) . '/../trean',
    'webroot' => $this->applications['horde']['webroot'] . '/trean',
    'name' => _("Bookmarks"),
    'status' => 'inactive',
    'provides' => 'bookmarks',
    'menu_parent' => 'organizing'
);


Ok, trean is inactive  :lol:  but how I can activate it?
I think can be necessary using template but I don't know how.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #7 on: November 14, 2006, 06:43:56 PM »
Quote from: "progitto"
From my message log file if I try to access http://localhost/horde/trean
Code: [Select]
Nov 14 17:54:07 mydomain HORDE[5696]: [] trean is not activated [on line 759 of "/home/httpd/html/horde/lib/Horde/Registry.php"]

and in my Registry.php

Code: [Select]
// 260AppRegistryTrean
$this->applications['trean'] = array(
    'fileroot' => dirname(__FILE__) . '/../trean',
    'webroot' => $this->applications['horde']['webroot'] . '/trean',
    'name' => _("Bookmarks"),
    'status' => 'inactive',
    'provides' => 'bookmarks',
    'menu_parent' => 'organizing'
);


Ok, trean is inactive  :lol:  but how I can activate it?
I think can be necessary using template but I don't know how.


That's interesting that it's now inactive.  None of the horde rpm's should have gotten installed because the 3.1.x versions are newer.  You can change the 260 template to active, then expand horde's registry.php, log into webmail and all should be good again.

I have not seen this behaviour.  I'll load up my test server and do a fresh install, then install the horde 3.1.x rpms, then do a yum update and see what is trying to be updated to see if I can spot an issue.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #8 on: November 14, 2006, 06:57:05 PM »
Thanks for the help. :pint:

Case history:
- installing horde 3.0 with trean and the other "plug-in"
- yum update last night

everything ok

- installing 3.1 package

trean ko

I'll try to get the same bug with a VMware frash image.

[Announce] Horde 3.1.x RPM's
« Reply #9 on: November 15, 2006, 08:48:37 AM »
Now, all it's ok.
Thanks for the help

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #10 on: November 16, 2006, 02:35:51 AM »
Quote from: "progitto"
Now, all it's ok.
Thanks for the help


I know why trean is set to inactive.  When you install the trean rpm, the 260AppRegistryTrean sets it to active, but when you do the updates via yum, e-smith-horde still has the same template so it sets it back to inactive.  I have a bug open to remove the various horde add-on templates that I am trying to maintain, I just need to apply it so it can get rolled out.

But, this looks like it will cause an additional issue, and that being the other horde add-ons will end up being inactive as their template files won't exist anymore, so you will end up having to re-install the other add-on rpm's so you get the new templates.

Looks like something we all will just have to work through.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #11 on: November 16, 2006, 04:08:39 PM »
After an upgrade to Horde 3.1.x admin user left side panel has gone and isn't possible to view word or exel documents as attachments in mail.
...

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #12 on: November 16, 2006, 04:25:35 PM »
Quote from: "arnie25"
After an upgrade to Horde 3.1.x admin user left side panel has gone and isn't possible to view word or exel documents as attachments in mail.


I can't duplicate the admin sidepanel issue?  Are you using IE?  
I also have not messed with any of the viewer configurations.  But, the viewers seem to be installed on SME 7.  Edit the horde/mime_drivers.php and change the //260 to /usr/bin/xhtml, the //270 to /usr/bin/ppthtml and let me know if that corrects it for the viewers.

John

[edit]

There is more that needs to be done.  You also need to edit 100mimedrivers and make sure you register msexcel and/or mspowerpoint, and in the 260 and/or 270 sections change inline to true.

Going forward, you will need to make a custom template of these options as I don't plan on setting them by default.
......

boss_hog

[Announce] Horde 3.1.x RPM's
« Reply #13 on: November 16, 2006, 06:45:02 PM »
Hi John,
thanks for your efforts as always!
This may seem like a silly question but ....
do we still need to use a script for proper installation??
The SME7/horde <dir> doesn't have a script, so the assumption
would be to just do rpm -Uvh *rpm?

Thanks

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #14 on: November 16, 2006, 07:25:16 PM »
Quote from: "boss_hog"
Hi John,
thanks for your efforts as always!
This may seem like a silly question but ....
do we still need to use a script for proper installation??
The SME7/horde <dir> doesn't have a script, so the assumption
would be to just do rpm -Uvh *rpm?

Thanks


Yes, or a yum localinstall *.rpm.  I'm through with scripts as it makes it a pain when upgrading.  

John
......